<template>
  <div class="payment-order-num-accrual">
    <i class="icon chevron-right payment-order-arrow" />
    <a>{{item.number}}</a>
    <div
      v-if="item.serviceNumber"
      class="service-number"
    >
      {{ item.serviceNumber }}
    </div>
    <template v-if="item.accrualType === 'ADVANCE'">
      <span class="-green-800">Аванс от даты подтверждения</span>
    </template>
    <template v-else>
      <span>От даты POD</span>
    </template>
  </div>
</template>

<script>
  export default {
    name: "numberAccrual",
    props: {
      item: {
        type: Object,
        default: () => {}
      }
    }
  }
</script>

<style scoped lang="scss">
  @import "~common-components/src/static/css/mixins";

  .payment-order-num-accrual {
    position: relative;
    letter-spacing: 0.2px;
    a {
      display: block;
      color: $color-blue-navy-blue;
      font-size: 14px;
      line-height: 20px;
    }
    span {
      font-size: 10px;
      line-height: 12px;
      color: $shale-gray;
    }
    .service-number {
      margin-top: 4px;
      @include font-mixin(10px, 12px, 400);
    }
    .payment-order-arrow {
      position: absolute;
      left: -40px;
      top: 3px;
      color: $color-blue-navy-blue;
      font-size: 20px;
    }
  }
</style>
